summaryrefslogtreecommitdiffstats
path: root/src/test/citest/sbetest-start.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/test/citest/sbetest-start.sh')
-rwxr-xr-xsrc/test/citest/sbetest-start.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/src/test/citest/sbetest-start.sh b/src/test/citest/sbetest-start.sh
new file mode 100755
index 00000000..f39ed84e
--- /dev/null
+++ b/src/test/citest/sbetest-start.sh
@@ -0,0 +1,38 @@
+#!/bin/sh
+# IBM_PROLOG_BEGIN_TAG
+# This is an automatically generated prolog.
+#
+# $Source: src/test/citest/sbetest-start.sh $
+#
+# OpenPOWER sbe Project
+#
+# Contributors Listed Below - COPYRIGHT 2016
+#
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied. See the License for the specific language governing
+# permissions and limitations under the License.
+#
+# IBM_PROLOG_END_TAG
+if [ -z $SBE_CI_ENV_SETUP ];
+then
+ unset $SANDBOXBASE
+ unset $SANDBOXNAME
+ source "$SBEROOT/src/test/citest/setup-env"
+fi
+
+# Front end to autocitest - script to execute unit tests under simics.
+#
+## when jenkins runs it will create a workspace with the built code tree
+## and drop us into it.
+autocitest ${BACKING_BUILD}
+
+exit $?
OpenPOWER on IntegriCloud